Bug 1021524 - Project Explorer - Technical view navigation glitches
Project Explorer - Technical view navigation glitches
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
medium Severity low
: ER5
: 6.0.0
Assigned To: Alexandre Porcelli
Jiri Locker
Depends On:
  Show dependency treegraph
Reported: 2013-10-21 09:00 EDT by Jiri Locker
Modified: 2014-08-06 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:20:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-10-21 09:00:36 EDT
Description of problem:
After switching from Business to Technical view, it shows FILES level of the current project. Navigating to the parent level (..) brings you to PROJECTS.

1. navigating back to the current project (e.g. mortgages/../mortgages) does nothing

2. Navigating one more level up should display REPOSITORIES, but the level caption is still PROJECTS and the content is empty.

Version-Release number of selected component (if applicable):
Comment 1 Alexandre Porcelli 2013-10-23 12:09:28 EDT
Hi Jiri,

 What are the steps to be able to show parent level in the project level? I mean, in theory you shouldn't see the ".." if you're in the project root, what makes impossible to navigate to the projects level.
Comment 2 Jiri Locker 2013-10-24 13:13:51 EDT
Your question hints that you are using the new Project Explorer where it is not possible to go ".." from the project root. In other words the new Project Explorer solves this issue.

I'm moving this to MODIFIED. Ryan should decide the target milestone but I assume the code should be included in ER5.
Comment 3 Jiri Locker 2013-12-06 11:49:32 EST
Outdated by improvements on Project Explorer made in bug 990295.

Note You need to log in before you can comment on or make changes to this bug.